<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>BasicWeapon</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BasicWeapon";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicWeapon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/Sword.html" title="class in ch.sebi.zuul.logic.items.items.weapon"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html" target="_top">Frames</a></li>
<li><a href="BasicWeapon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.items.items.weapon</div>
<h2 title="Class BasicWeapon" class="title">Class BasicWeapon</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items">ch.sebi.zuul.logic.items.BasicItem</a></li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.items.items.weapon.BasicWeapon</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>, <a href="../../../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/Sword.html" title="class in ch.sebi.zuul.logic.items.items.weapon">Sword</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BasicWeapon</span>
extends <a href="../../../../../../../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items">BasicItem</a>
implements <a href="../../../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></pre>
<div class="block">A basic weapon which makes damage</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#damage">damage</a></span></code>
<div class="block">how much damage the weapon makes</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#BasicWeapon-java.lang.String-int-">BasicWeapon</a></span>(java.lang.String&nbsp;name,
           int&nbsp;damage)</code>
<div class="block">constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#attack-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">attack</a></span>(<a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
      <a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
      <a href="../../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Invoked if the weapon is being used</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#getAttackedMessage-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">getAttackedMessage</a></span>(<a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
                  <a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
                  <a href="../../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Returns the message which is printed when the weapon attacks an enemy.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#getDamage--">getDamage</a></span>()</code>
<div class="block">Returns the damage the weapon makes</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ch.sebi.zuul.logic.items.BasicItem">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ch.sebi.zuul.logic.items.<a href="../../../../../../../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items">BasicItem</a></h3>
<code><a href="../../../../../../../ch/sebi/zuul/logic/items/BasicItem.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../../../ch/sebi/zuul/logic/items/BasicItem.html#getName--">getName</a>, <a href="../../../../../../../ch/sebi/zuul/logic/items/BasicItem.html#hashCode--">hashCode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ch.sebi.zuul.logic.items.Item">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;ch.sebi.zuul.logic.items.<a href="../../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></h3>
<code><a href="../../../../../../../ch/sebi/zuul/logic/items/Item.html#getName--">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="damage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>damage</h4>
<pre>private&nbsp;int damage</pre>
<div class="block">how much damage the weapon makes</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BasicWeapon-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BasicWeapon</h4>
<pre>public&nbsp;BasicWeapon(java.lang.String&nbsp;name,
                   int&nbsp;damage)</pre>
<div class="block">constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the item</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDamage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDamage</h4>
<pre>public&nbsp;int&nbsp;getDamage()</pre>
<div class="block">Returns the damage the weapon makes</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the damage</dd>
</dl>
</li>
</ul>
<a name="attack-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attack</h4>
<pre>public&nbsp;void&nbsp;attack(<a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
                   <a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
                   <a href="../../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../ch/sebi/zuul/logic/items/Weapon.html#attack-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">Weapon</a></code></span></div>
<div class="block">Invoked if the weapon is being used</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../ch/sebi/zuul/logic/items/Weapon.html#attack-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">attack</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enemy</code> - the enemy which is attacked</dd>
<dd><code>attacker</code> - the player which is attacking the enemy</dd>
<dd><code>game</code> - the game instance</dd>
</dl>
</li>
</ul>
<a name="getAttackedMessage-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAttackedMessage</h4>
<pre>protected&nbsp;java.lang.String&nbsp;getAttackedMessage(<a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
                                              <a href="../../../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
                                              <a href="../../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</pre>
<div class="block">Returns the message which is printed when the weapon attacks an enemy.
 The message is printed in a printf, meaning if you want a line ending at the end, then add a "\n" in the string</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enemy</code> - the enemy</dd>
<dd><code>attacker</code> - the attacker</dd>
<dd><code>game</code> - the game instance</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the string which is outputted</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicWeapon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../ch/sebi/zuul/logic/items/items/weapon/Sword.html" title="class in ch.sebi.zuul.logic.items.items.weapon"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html" target="_top">Frames</a></li>
<li><a href="BasicWeapon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
